This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1298555 - Deletion of directory is failing with Directory not empty as request is going to brick which is not having files
Deletion of directory is failing with Directory not empty as request is going...
Status: CLOSED DUPLICATE of bug 1127178
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pranith Kumar K
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 07:33 EST by RajeshReddy
Modified: 2016-09-17 08:12 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 01:56:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RajeshReddy 2016-01-14 07:33:21 EST
Description of problem:
=================
Deletion of directory is failing with Directory not empty as request is going to brick which is not having files 


Version-Release number of selected component (if applicable):
============
glusterfs-server-3.7.5-15


How reproducible:


Steps to Reproduce:
=================
1. After running automated script (which creates files and kill sub-vol and then do fops like rename,modify and then run the self-heal) 
2. After that tired rm -rf * on the mount but deletion of one directory failing with  Directory not empty
3. Only one brick has directory and files and another brick has only directory and there is no xattrs set on the file 
4. Request is going to the brick which doesn't have files so deletion is failing 

Actual results:


Expected results:


Additional info:
===========
Mounted afr2x2_tier on transformers @/mnt/glusterfs

[root@vertigo ~]# gluster vol info afr2x2_tier
 
Volume Name: afr2x2_tier
Type: Tier
Volume ID: a490af06-7ab2-47c0-b1ad-b565ee713aed
Status: Started
Number of Bricks: 8
Transport-type: tcp
Hot Tier :
Hot Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick1: ninja.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_tier_hot12
Brick2: vertigo.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_tier_hot2
Brick3: ninja.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_tier_hot1
Brick4: vertigo.lab.eng.blr.redhat.com:/rhs/brick1/afr2x2_tier_hot1
Cold Tier:
Cold Tier Type : Distributed-Replicate
Number of Bricks: 2 x 2 = 4
Brick5: vertigo.lab.eng.blr.redhat.com:/rhs/brick3/afr2x2_tier_cold_1
Brick6: ninja.lab.eng.blr.redhat.com:/rhs/brick3/afr2x2_tier_cold_1
Brick7: vertigo.lab.eng.blr.redhat.com:/rhs/brick2/afr2x2_tier_cold_2
Brick8: ninja.lab.eng.blr.redhat.com:/rhs/brick2/afr2x2_tier_cold_2
Options Reconfigured:
cluster.tier-mode: cache
features.ctr-enabled: on
performance.readdir-ahead: on
cluster.data-self-heal-algorithm: diff

File present on one of the brick
===========

[root@ninja old]# pwd
/rhs/brick3/afr2x2_tier_cold_1/old
[root@ninja old]# ls -lrth /rhs/brick3/afr2x2_tier_cold_1/old
total 0
---------T. 2 root root 0 Jan 11 23:50 E_file_15
[root@ninja old]# getfattr -d -m . -e hex E_file_15
# file: E_file_15
security.selinux=0x73797374656d5f753a6f626a6563745f723a676c7573746572645f627269636b5f743a733000
trusted.afr.afr2x2_tier-client-0=0x000000010000000200000000
trusted.afr.dirty=0x000000000000000000000000
trusted.gfid=0x82123d63b05b4949b9c9f8abd7ed2478
trusted.tier.tier-dht.linkto=0x6166723278325f746965722d686f742d64687400

File doen't present on the replica brick
============
/rhs/brick3/afr2x2_tier_cold_1/old
[root@vertigo old]# ls -lrth /rhs/brick3/afr2x2_tier_cold_1/old
total 0

Note You need to log in before you can comment on or make changes to this bug.